Bug 1012371 - Cannot set root device on kernel command line
Cannot set root device on kernel command line
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 07:14 EDT by David Woodhouse
Modified: 2015-02-17 12:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:21:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2013-09-26 07:14:26 EDT
My hard drive died. I did a full restore to a different drive.

The UUID of my root file system is now different, so mount-by-UUID fails. Not a problem; I'll just edit the command line in grub, and change the existing 'root=UUID=...' on the command line to 'root=/dev/sda7'.

Would be nice if the initrd actually *honoured* this, instead of still finding that original UUID somewhere and trying to mount that.

I eventually resorted to *changing* the file system's UUID to match the old one, because I couldn't work out how to make it mount the *right* file system and continue. I really shouldn't have had to do that.
Comment 1 Kay Sievers 2013-09-26 09:03:33 EDT
Isn't that just caused by the entry in /etc/fstab; the file on the rootfs not
inside dracut?

I personally just have:
  ROOT / auto defaults                               0 0
there, because the actual device field is not needed at all, and ignored if it
does not start with /.

Dracut, or the kernel, has mounted the device already, so the duplicated
entry seems pointless, and might just be the cause of your problem.

If that is the reason, anaconda should probably stop doing that.
Comment 2 Harald Hoyer 2013-10-14 04:30:23 EDT
http://docs.fedoraproject.org/en-US/Fedora/19/html-single/Release_Notes/index.html#idm263768207408

Boot speed is improved by removing unused features from the initramfs. If new hardware is added, boot into the rescue initramfs and use the command dracut --regenerate-all --force to rebuild and replace the old initramfs.
Comment 3 Fedora End Of Life 2015-01-09 14:59:19 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 12:21:36 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.